import glob, pandas, sys
import matplotlib.pyplot as plt
import numpy

folder = sys.argv[1]
files = glob.glob(f"{folder}/*_convenzionale_*full.csv")

all_data = pandas.DataFrame()
for file in files:
    frame = pandas.read_csv(file, header=0)
    frame.insert(0, "exp", file)
    if all_data.empty:
        all_data = frame
    else:
        all_data = all_data.append(frame)
    # print(frame)
    # print(all_data)
    # input()

# print(all_data.query('evt_type== 1 & brake_rt.isna()', engine='python'))
print("\n-----------------\n")
print("Mean")
print(all_data.groupby("on_exit")["brake_rt","sec_rt", "sdlp1", "sdlp2"].mean())
print("\n-----------------\n")
print("Median")
print(all_data.groupby("on_exit")["brake_rt","sec_rt", "sdlp1", "sdlp2"].median())
print("\n-----------------\n")
print("Standard deviation")
print(all_data.groupby("on_exit")["brake_rt","sec_rt", "sdlp1", "sdlp2"].std())
print("\n-----------------\n")
# all_data.plot(x='segnum', y='sdlp2', kind='scatter')
# plt.show()